/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*  This file is part of MixMagic.

    Copyright (C) 2000-2001 Jonas Borgstrm <jonas@bengburken.net>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software 
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "mixmagic.h"
#include "stock.h"
#include "plugins.h"
#include "preferences.h"

#include <locale.h>

Preferences *prefs = NULL;

/*
 * Initializes the application.
 */
void
application_init (gint argc, gchar **argv)
{
	g_thread_init(NULL); /* make glib thread-aware */

	/* initialize GNOME */
	gnome_init(PACKAGE, VERSION, argc, argv);

	/* Initialize localization */
	bindtextdomain (PACKAGE, GNOMELOCALEDIR);
	textdomain (PACKAGE);
	
	/* 
	 * Set the numeric locale to "C".
	 * Else atof might fail if the string was printed on another locale
	 */
	setlocale (LC_NUMERIC, "C");

	stock_init ();
	plugins_init ();

	prefs = g_new0 (Preferences, 1);
	
	preferences_load (prefs);

}

/*
 * Starts up the GUI.
*/
void
application_start ()
{
	gdk_threads_enter();

	gtk_main ();

	gdk_threads_leave();
}
